# Foldable ProjectView

![Build](https://github.com/hsz/intellij-foldable-projectview/workflows/Build/badge.svg)
[![Version](https://img.shields.io/jetbrains/plugin/v/17288.svg)](https://plugins.jetbrains.com/plugin/17288)
[![Downloads](https://img.shields.io/jetbrains/plugin/d/17288.svg)](https://plugins.jetbrains.com/plugin/17288)

<!-- Plugin description -->

The Foldable ProjectView is a plugin for the IntelliJ-based IDEs that lets you fold files located in the root of your project.

Available features:
- Fold matching root elements of the project modules in the Project View
- Enable/disable folding via Preferences or Project View options menu
- Optionally fold directories
- Hide empty groups
- Hide all groups
- Case-insensitive matching
- Live ProjectView preview

## Demo

<img src="https://github.com/hsz/intellij-foldable-projectview/raw/main/.github/readme/foldable-projectview.gif" alt="Foldable ProjectView Demo" />

<!-- Plugin description end -->

## Screenshots

### Project View
![Project View](.github/readme/project-view.png)

### Preferences
![Preferences](.github/readme/preferences.png)

## Installation

- Using IDE built-in plugin system:
  
  <kbd>Settings/Preferences</kbd> > <kbd>Plugins</kbd> > <kbd>Marketplace</kbd> > <kbd>Search for "Foldable ProjectView"</kbd> >
  <kbd>Install Plugin</kbd>
  
- Manually:

  Download the [latest release](https://github.com/hsz/intellij-foldable-projectview/releases/latest) and install it manually using
  <kbd>Settings/Preferences</kbd> > <kbd>Plugins</kbd> > <kbd>⚙️</kbd> > <kbd>Install plugin from disk...</kbd>


---
Plugin based on the [IntelliJ Platform Plugin Template][template].

[template]: https://github.com/JetBrains/intellij-platform-plugin-template
